[ 
https://issues.apache.org/jira/browse/YARN-8123?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16429227#comment-16429227
 ] 

Dinesh Chitlangia edited comment on YARN-8123 at 4/7/18 4:22 AM:
-----------------------------------------------------------------

[~ajisakaa] - I think we can use the Range Specification to do that.

 
{code:java|title=hadoop-yarn-project/hadoop-yarn/hadoop-yarn-common/pom.xml|borderStyle=solid}
<profile>
 <id>java10</id>
  <activation>
   <jdk>[10,)</jdk>
  </activation>{code}


was (Author: dineshchitlangia):
[~ajisakaa] - I think we can use the Range Specification to do that.

 

{{{code:title=hadoop-yarn-project/hadoop-yarn/hadoop-yarn-common/pom.xml|borderStyle=solid}
 }}

{{<profile>}}
{{ <id>java10</id>}}
{{  <activation>}}
{{   <jdk>[10,)</jdk>}}
{{  </activation>}}

{{{code}}}







 

> Skip compiling old hamlet package when the Java version is 10 or upper
> ----------------------------------------------------------------------
>
>                 Key: YARN-8123
>                 URL: https://issues.apache.org/jira/browse/YARN-8123
>             Project: Hadoop YARN
>          Issue Type: Improvement
>          Components: webapp
>         Environment: Java 10 or upper
>            Reporter: Akira Ajisaka
>            Priority: Major
>              Labels: newbie
>
> HADOOP-11423 skipped compiling old hamlet package when the Java version is 9, 
> however, it is not skipped with Java 10+. We need to fix it.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: yarn-issues-unsubscr...@hadoop.apache.org
For additional commands, e-mail: yarn-issues-h...@hadoop.apache.org

Reply via email to